Subject: Re: [rtcweb] #16: Section 5.1.6

From: Colin Perkins <[email-masked]>
Date: Mon, 6 May 2013 23:20:22 +0100

The bandwidth limitations are defined in Sections 3.5.4 and 4.2.1 of RFC 5104. They're not really designed for receiver-based congestion control; as the draft suggests, they're more designed to allow an MCU to control the streams being sent to it, as an envelope within which a congestion control algorithm can operate.  

We can certainly change this to "WebRTC senders are REQUIRED to implement support for TMMBR messages, and MUST follow the bandwidth limitations set by a TMMBR message received for their SSRC, as described in Sections 3.5.4 and 4.2.1 of RFC 5104" if you think it will help? 

We could also add some words to clarify that the TMMBR limit is an upper-bound within which congestion control should operate?

Colin

On 20 Apr 2013, at 02:25, rtcweb issue tracker wrote:
> #16: Section 5.1.6
> 
> WebRTC senders
>    are REQUIRED to implement support for TMMBR messages, and MUST follow
>    bandwidth limitations set by a TMMBR message received for their SSRC.
>    The sending of TMMBR requests is OPTIONAL.
> 
> [BA] I realize I'm opening a can of worms here, but what does it mean to
> "follow bandwidth limitations set by a TMMBR message"?  Is this mandating
> support for a receiver-side congestion control mechanism? Or is it
> considered more like advice from the receiver on average bandwidth
> availability over some time period (e.g. averaged over I and P frames)?
> Or is this a maximum simultaneous bw limitation?
> 
> -- 
> -------------------------------------+-------------------------------------
> Reporter:                           |      Owner:  draft-ietf-rtcweb-rtp-
>  [email-masked]          |  [email-masked]
>     Type:  defect                   |     Status:  new
> Priority:  major                    |  Milestone:  milestone1
> Component:  rtp-usage                |    Version:  1.0
> Severity:  Active WG Document       |   Keywords:
> -------------------------------------+-------------------------------------
> 
> Ticket URL: <https://tools.ietf.org/wg/rtcweb/trac/ticket/16>
> rtcweb <http://tools.ietf.org/rtcweb/>
> 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

-- 
Colin Perkins
http://csperkins.org/